/* Generated by Frama-C */
#include "stddef.h"
#include "stdint.h"
#include "stdio.h"
extern  __attribute__((__FC_BUILTIN__)) int __e_acsl_sound_verdict;

int main(int argc, char **argv)
{
  int __retres;
  __e_acsl_memory_init(& argc,& argv,(size_t)8);
  {
    int __gen_e_acsl_exists;
    int __gen_e_acsl_x;
    __e_acsl_assert_data_t __gen_e_acsl_assert_data = {.values = (void *)0};
    __gen_e_acsl_exists = 0;
    __gen_e_acsl_x = (unsigned int)(-1 + 1);
    while (1) {
      if (__gen_e_acsl_x < 5) ; else break;
      if (! (__gen_e_acsl_x == 0)) ;
      else {
        __gen_e_acsl_exists = 1;
        goto e_acsl_end_loop1;
      }
      __gen_e_acsl_x ++;
    }
    e_acsl_end_loop1: ;
    __e_acsl_assert_register_int(& __gen_e_acsl_assert_data,
                                 "\\exists unsigned int x; -1 < x < 5 && x == 0",
                                 0,__gen_e_acsl_exists);
    __gen_e_acsl_assert_data.blocking = 1;
    __gen_e_acsl_assert_data.kind = "Assertion";
    __gen_e_acsl_assert_data.pred_txt = "\\exists unsigned int x; -1 < x < 5 && x == 0";
    __gen_e_acsl_assert_data.file = "tests/bts/issue-eacsl-149.c";
    __gen_e_acsl_assert_data.fct = "main";
    __gen_e_acsl_assert_data.line = 4;
    __e_acsl_assert(__gen_e_acsl_exists,& __gen_e_acsl_assert_data);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data);
  }
  /*@ assert \exists unsigned int x; -1 < x < 5 && x == 0; */ ;
  {
    int __gen_e_acsl_forall;
    int __gen_e_acsl_x_2;
    __e_acsl_assert_data_t __gen_e_acsl_assert_data_2 =
      {.values = (void *)0};
    __gen_e_acsl_forall = 1;
    __gen_e_acsl_x_2 = (unsigned int)(-1 + 1);
    while (1) {
      if (__gen_e_acsl_x_2 < 5) ; else break;
      if (__gen_e_acsl_x_2 != 0) ;
      else {
        __gen_e_acsl_forall = 0;
        goto e_acsl_end_loop2;
      }
      __gen_e_acsl_x_2 ++;
    }
    e_acsl_end_loop2: ;
    __e_acsl_assert_register_int(& __gen_e_acsl_assert_data_2,
                                 "\\forall unsigned int x; -1 < x < 5 ==> x != 0",
                                 0,__gen_e_acsl_forall);
    __gen_e_acsl_assert_data_2.blocking = 1;
    __gen_e_acsl_assert_data_2.kind = "Assertion";
    __gen_e_acsl_assert_data_2.pred_txt = "!(\\forall unsigned int x; -1 < x < 5 ==> x != 0)";
    __gen_e_acsl_assert_data_2.file = "tests/bts/issue-eacsl-149.c";
    __gen_e_acsl_assert_data_2.fct = "main";
    __gen_e_acsl_assert_data_2.line = 5;
    __e_acsl_assert(! __gen_e_acsl_forall,& __gen_e_acsl_assert_data_2);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data_2);
  }
  /*@ assert !(\forall unsigned int x; -1 < x < 5 ==> x != 0); */ ;
  __retres = 0;
  __e_acsl_memory_clean();
  return __retres;
}


